| My Project

Public Member Functions | Public Attributes | Properties | List of all members
Persistance.DataContractPersistance Class Reference

Classe DataContractPersistance qui implémente IPersistanceManager et stocke les données dans les fichiers de persistance More...

Inheritance diagram for Persistance.DataContractPersistance:

## Public Member Functions
List< Expert > | LoadUsers ()
void | SaveUsers (List< Utilisateur > users, List< Expert > experts)
| Sauvegarde les listes en paramètres dans le fichier des utilisateurs More...
List< Requin > | LoadRequins ()
void | SaveRequins (List< Requin > reqs, List< Requin > reqsAdd, List< Requin > reqsEdit)
| Sauvegarde les listes de requins en paramètres dans le fichier de persistance pour les requins More...
List< String > | LoadFunFacts ()
| Charge les fun facts du fichier de persistance dans un liste et la retourne More...
void | SaveFunFacts (List< String > funFacts)
| Sauvegarde les fun facts de la liste en paramètre dans le fichier de persistance des fun facts More...
List< Requin > List< Requin > List< Requin > reqsEdit | LoadRequins ()
void | SaveRequins (List< Requin > reqs, List< Requin > reqsAdd, List< Requin > reqsEdit)
| Sauvegarde des requins More...
List< Utilisateur > List< Expert > experts | LoadUsers ()
void | SaveUsers (List< Utilisateur > users, List< Expert > experts)
| Sauvegarde des utilisateurs More...
List< String > | LoadFunFacts ()
| Chargement des fun facts More...
void | SaveFunFacts (List< String > funFacts)
| Sauvegarde des fun facts More...

## Public Attributes
| List< Utilisateur > = new XmlWriterSettings() { Indent = true }
| Charge les utilisateurs des fichiers More...
| List< Requin >
| Charge les listes des requins depuis les fichiers et les retourne More...
Public Attributes inherited from Persistance.IPersistanceManager
List< Requin > | reqs
| Chargement des requins More...
List< Requin > List< Requin > | reqsAdd
List< Utilisateur > | users
| Chargement des utilisateurs More...

## Properties
XmlWriterSettings | settings`[get, set]`
| XmlWriterSettings permet de rajouter des paramètres dans l'écriture des fichiers de persistance

## Detailed Description

Classe DataContractPersistance qui implémente IPersistanceManager et stocke les données dans les fichiers de persistance

## Member Function Documentation

## ◆ LoadFunFacts()

List< String > Persistance.DataContractPersistance.LoadFunFacts | ( |  | ) |
| inline

Charge les fun facts du fichier de persistance dans un liste et la retourne

Returns
  List de String avec les fun facts du fichier dedans

Implements Persistance.IPersistanceManager.

## ◆ LoadRequins()

List< Requin > Persistance.DataContractPersistance.LoadRequins | ( |  | ) |
| inline

Implements Persistance.IPersistanceManager.

## ◆ LoadUsers()

List< Expert > Persistance.DataContractPersistance.LoadUsers | ( |  | ) |
| inline

Implements Persistance.IPersistanceManager.

## ◆ SaveFunFacts()

void Persistance.DataContractPersistance.SaveFunFacts | ( | List< String > | funFacts | ) |
| inline

Sauvegarde les fun facts de la liste en paramètre dans le fichier de persistance des fun facts

Parameters

  funFacts |

Implements Persistance.IPersistanceManager.

## ◆ SaveRequins()

void Persistance.DataContractPersistance.SaveRequins | ( | List< Requin > | reqs,
|  | List< Requin > | reqsAdd,
|  | List< Requin > | reqsEdit
| ) |  |
| inline

Sauvegarde les listes de requins en paramètres dans le fichier de persistance pour les requins

Parameters

  reqs |
  reqsAdd |
  reqsEdit |

Implements Persistance.IPersistanceManager.

## ◆ SaveUsers()

void Persistance.DataContractPersistance.SaveUsers | ( | List< Utilisateur > | users,
|  | List< Expert > | experts
| ) |  |
| inline

Sauvegarde les listes en paramètres dans le fichier des utilisateurs

Parameters

  users |
  experts |

Implements Persistance.IPersistanceManager.

## Member Data Documentation

## ◆ List< Requin >

Persistance.DataContractPersistance.List< Requin >

Charge les listes des requins depuis les fichiers et les retourne

Returns
  Les List de Requin : ceux de l'application, ceux ajoutés par les utilisateurs, et ceux édités par les utilisateurs

## ◆ List< Utilisateur >

Persistance.DataContractPersistance.List< Utilisateur > = new XmlWriterSettings() { Indent = true }

Charge les utilisateurs des fichiers

Returns
  Les List d'Utilisateur et d'Expert du fichier

The documentation for this class was generated from the following file:

- Persistance/DataContractPersistance.cs